Skip to main content
Infrastructure/Change Management

GetCalendarConflicts

Detect scheduling conflicts between change requests in a time range

GET/api/v1/change-management/calendar/conflicts

Operation ID

GetCalendarConflicts

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • start
    String

    Start

  • end
    String

    The end value

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • conflicts
    List

    Conflicts for this resource

    Example: (nested array)

    • conflictType
      String

      Conflict type

      Example: CONFLICT_TYPE_UNSPECIFIED

    • changeIds
      List

      Change ids

      Example: item1,item2

    • severity
      String

      Severity of the detected conflict

      Example: high

    • description
      String

      Human-readable explanation of the conflict

      Example: Two P1 changes overlap within the same maintenance window

  • start
    String

    Start for this resource

    Example: 2026-01-15T08:00:00Z

  • end
    String

    The end value

    Example: 2026-01-15T08:00:00Z

  • Change Time

    AddedResponse fields changeIds, conflictType, end...DeletedResponse fields details, hasConflict, suggestions...
    View API